/*******************************************************************************
*
* test program to demonstrate debug tools
*
*******************************************************************************/

/*------------------------------------------------------------------------------
| global include files 
------------------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <omp.h>
#include <math.h>

int main(int argc,char *argv[])
{
  int i;
  const int N=1000000;
  double x[N];
  double nrm = 0.;
  
  #pragma omp parallel shared(nrm)
  {
    double private_nrm = 0.;
    /* init variables */
    #pragma omp for
    for(i=0; i<N; i++)
    {
      x[i] = 1./(i+1.);
    }
    
    /* calculate the norm */
    #pragma omp for
    for(i=0; i<N; i++)
    {
      private_nrm += x[i]*x[i];
    }
    #pragma omp critical
    nrm += private_nrm;
  }
  printf("Nrm = %g\n", sqrt(nrm));

  return 0;
}
